﻿using System.Collections.Generic;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace RadTreeViewContainerBindings
{
	public class Department : INotifyPropertyChanged
	{
		public event PropertyChangedEventHandler PropertyChanged;

		private string name;
		private bool? isChecked;

		public Department(string name)
		{
			this.name = name;
			Employees = new ObservableCollection<Person>();
		}

		public Department(string name, bool Checked)
		{
			this.name = name;
			this.isChecked = Checked;
			Employees = new ObservableCollection<Person>();
		}

		public string Name
		{
			get
			{
				return this.name;
			}
			set
			{
				if (value != this.name)
				{
					this.name = value;
					NotifyPropertyChanged("Name");
				}
			}
		}

		public bool? IsChecked
		{
			get
			{
				return this.isChecked;
			}
			set
			{
				if (value != this.isChecked)
				{
					this.isChecked = value;
					NotifyPropertyChanged("isChecked");
				}
			}
		}
		public ObservableCollection<Person> Employees
		{
			get;
			set;
		}

		private void NotifyPropertyChanged(string propertyName)
		{
			if (PropertyChanged != null)
			{
				PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
}
