﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.Generic;
using System.Collections.ObjectModel;

namespace RadTreeViewContainerBindings
{

	public class Organization : INotifyPropertyChanged
	{
	    public event PropertyChangedEventHandler PropertyChanged;

	    private string name;
	    private bool? isChecked;

		public Organization(string name)
		{
			this.name = name;
			Departments = new ObservableCollection<Department>();
		}

	    public Organization(string name, bool Checked)
	    {
	        this.name = name;
	        this.isChecked = Checked;
	        Departments = new ObservableCollection<Department>();
	    }

	    public string Name
	    {
	        get
	        {
	            return this.name;
	        }
	        set
	        {
	            if (value != this.name)
	            {
	                this.name = value;
	                NotifyPropertyChanged("Name");
	            }
	        }
	    }

	    public bool? IsChecked
	    {
	        get
	        {
	            return this.isChecked;
	        }
	        set
	        {
	            if (value != this.isChecked)
	            {
	                this.isChecked = value;
	                NotifyPropertyChanged("isChecked");
	            }
	        }
	    }

	    public ObservableCollection<Department> Departments
	    {
	        get;
	        set;
	    }

	    private void NotifyPropertyChanged(string propertyName)
	    {
	        if (PropertyChanged != null)
	        {
	            PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
	        }
	    }
	}
}
