﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace RadTreeViewContainerBindings
{
	public class Person : INotifyPropertyChanged
	{
		public event PropertyChangedEventHandler PropertyChanged;
		private string name;
		private bool? isChecked;

		public Person(string name)
		{
			this.name = name;
		}

		public Person(string name, bool Checked)
		{
			this.name = name;
			this.isChecked = Checked;
		}

		public string Name
		{
			get
			{
				return this.name;
			}
			set
			{
				if (value != this.name)
				{
					this.name = value;
					this.NotifyPropertyChanged("Name");
				}
			}
		}

		public bool? IsChecked
		{
			get
			{
				return this.isChecked;
			}
			set
			{
				if (value != this.isChecked)
				{
					this.isChecked = value;
					NotifyPropertyChanged("isChecked");
				}
			}
		}

		private void NotifyPropertyChanged(string propertyName)
		{
			if (PropertyChanged != null)
			{
				PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
}
